package com.jeeplus.modules.supply.materialLibrary.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.supply.materialLibrary.entity.MaterialLibrary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@MyBatisMapper
public interface MaterialLibraryMapper extends BaseMapper<MaterialLibrary> {
    Integer queryCount(MaterialLibrary materialLibrary);//x
    //按物流编码list来查询
    List<String> getMaterialCodeByMaterialCodeList(@Param("materialCodeList") List<String> materialCodeList);

    //覆盖操作 根据物流编码物理删除旧数据
    void deleteMaterialLibraryByMaterialCodeList(@Param("materialCodeList") List<String> materialCodeList);


    Integer insertList(@Param("list") List<MaterialLibrary> list);

    Integer deleteList(@Param("materialCodeList") List<String> materialCodeList);

    //按物流编码list来查询
    Integer getCountByMaterialCodeList(@Param("materialCodeList") List<String> materialCodeList);
}
